/*ESTILOS FORMULARIO LOGIN*/

.formLogin__body
{
    font-family: 'Roboto', sans-serif;
    background: #ffffff;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    padding-top: 30px; 
}

main{
    max-width: 1200px;
    width: 90%;
    min-height: 140vh;
    margin: auto;
    padding: 20px;
    overflow: auto;
}

.formLogin{
    display: grid;
    grid-template-columns: 1fr;
    gap: 10px;
}

.formLogin__card{
    width: 500px; 
    padding: 20px;
    border-radius: 25px;
    background-color: #ffffff;
    box-shadow: 0px 0px 10px rgba(27, 26, 26, 0.2);
    margin: 0 auto; 
}

/* Centra horizontalmente el título */
.formLogin__card h1 {
    text-align: center; 
}

.imgLogin__logo{
    width: 100px; 
    height: 100px;
    display: block;
    margin: 0 auto;
}


.formLogin__label{
    display: block;
    font-weight: 700;
    padding: 10px;
    cursor: pointer;
}

.formLogin__input{
    width: calc(100% - 20px);
    background: #FFF;
    border: 1px solid;
    border-radius: 3px;
    height: 45px;
    line-height: 45px;
    padding: 0 40 0 10;
    transition: .3s ease all;
    font-size: 16px;
}

.formLogin__input:focus{
    border: 3px solid #0075FF;
    outline: none;
    box-shadow: 3px 0px 30px rgba(163, 163, 163, 0.4);
}


.formLogin__input-error{
font-size: 14px;
margin-bottom: 0;
display: none;
}

.formLogin__input-error-activo{

    display: block;
}



.formLogin__grupo {
    position: relative;
    margin-bottom: 25px;
}


.formLogin__grupo_input {
    position: relative;
}



.formLogin__validacion-estado {
    position: absolute;
    left: 90%; 
    top: 50%; 
    transform: translateY(-50%);
    font-size: 16px;
    opacity: 0;
}


.formLogin__mensaje, .formLogin__grupo-btn-enviar{
grid-column: span 1;
}

.formLogin__mensaje{
    height: 45px;
    line-height: 45px;
    background: #F66060;
    padding: 0 15px;
    border-radius: 3px;
    display: none;
}

.formLogin__mensaje-activo{
display: block;
}

.formLogin__mensaje p{
    margin: 0;
    
}

.formLogin__grupo-btn-enviar{
    display: flex;
    flex-direction: column;
    align-items: center;
}

.formLogin__btn{
    height: 45px;
    line-height: 45px;
    width: 30%;
    background: #642a73;
    color: #FFF;
    font-weight: bold;
    border: none;
    border-radius: 3px;
    cursor: pointer;
    transition: .1s ease all;
}

.formLogin__btn:hover{
    box-shadow: 3px 0px 30px rgba(163, 163, 163, 1);
}

.formLogin__mensaje-exito{
    font-size: 16px;
    font-weight: bold;
    color: #0f5705;
    display: none;
}

.formLogin__mensaje-exito-activo{
display: block;
}

/*--Estilos para validacion*/
.formLogin__grupo-correcto .formLogin__validacion-estado{
color: #1ed12d;
opacity: 1;
}

.formLogin__grupo-incorrecto .formLogin__label{
    color: #bb2929;
}

.formLogin__grupo-incorrecto .formLogin__validacion-estado{
    color: #bb2929;
    opacity: 1;
}


.formLogin__grupo-incorrecto .formLogin__input{
    border: 3px solid #bb2929;
}


.formLogin__grupo-link {
    display: flex;
    justify-content: center; 
    align-items: center; 
}

.formLogin__grupo-link a{
    text-decoration: none;
    color: #000; 
    font-size: 20px;
}

.footer {
    position: fixed;
    bottom: 0;
    width: 100%;
}

.footer iframe {
    width: 100%;
    height: 120px;
    border-style: none;
    overflow-y: hidden;
    display: block;
}

/* Footer */
.footer {
    background: #dda6a6;
    padding: 10px 0;
    overflow: hidden;
    height: 120px;
    border: none;
 }
 
 .contenedor-footer {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin: auto;
    padding-bottom: 5px;
    border-bottom: 1px solid #e6d5d7;
 }
 
 .content-foo {
    text-align: center;
    margin-right: 30px;
 }
 
 .content-foo:last-child {
    margin-right: 0;
 }
 
 .content-foo p {
    color: #1d0e0e;
 }
 
 .content-foo img{
    width: 42px;
    height: 42px;
    margin-top: 10px;
 }
 
 .mensaje-reservado {
    text-align: center;
    color: #1d0e0e;
    width: 100%;
    margin-top: 15px;
    font-weight: bold;
    font-size: 18px;
 }
  

@media screen and (max-width: 768px) {
    .formLogin__card {
        width: 90%; 
    }

    .formLogin {
        grid-template-columns: 1fr; 
    }

    .formLogin__grupo {
        margin-bottom: 20px; 
    }

    .formLogin__grupo_input {
        width: 100%; 
    }

    .formLogin__label {
        padding: 5px 0; 
    }

    .formLogin__mensaje,
    .formLogin__grupo-btn-enviar,
    .formLogin__grupo-link {
        grid-column: span 1; 
    }

    .formLogin__mensaje,
    .formLogin__mensaje-exito {
        padding: 10px; 
    }

    .formLogin__btn {
        width: 100%; 
    }
}